// 新增设备维修申请
import request from "@/utils/request";

export function addApprove(data) {
  return request({
    url: '/intact/maintenance',
    method: 'post',
    data: data
  })
}
// 查询
export function getApprove(id) {
  return request({
    url: '/intact/approve/' + id,
    method: 'get'
  })
}

// 查询设备维修申请详细
export function getApproveInfo(id) {
  return request({
    url: '/intact/maintenance/info/' + id,
    method: 'get'
  })
}

// 设备维修申请处理
export function handleApprove(data) {
  return request({
    url: '/intact/maintenance/handle',
    data: data,
    method: 'put'
  })
}

